Bug 1029578 - Review Request: perl-XMLRPC-Lite - Client and server implementation of XML-RPC protocol
Review Request: perl-XMLRPC-Lite - Client and server implementation of XML-RP...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
: 1116559 (view as bug list)
Depends On: 989982
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 11:26 EST by Petr Šabata
Modified: 2014-07-08 12:34 EDT (History)
4 users (show)

See Also:
Fixed In Version: perl-XMLRPC-Lite-0.717-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-15 03:53:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Petr Šabata 2013-11-12 11:26:04 EST
Spec URL: http://psabata.fedorapeople.org/pkgs/perl-XMLRPC-Lite/perl-XMLRPC-Lite.spec
SRPM URL: http://psabata.fedorapeople.org/pkgs/perl-XMLRPC-Lite/perl-XMLRPC-Lite-0.717-1.fc19.src.rpm
Description:
XMLRPC::Lite is a Perl modules which provides a simple interface to the XML-
RPC protocol both on client and server side. Based on SOAP::Lite module, it
gives you access to all features and transports available in that module.
Fedora Account System Username: psabata
Comment 1 Petr Pisar 2013-11-13 03:55:01 EST
URL is usable. Ok.
Source0 is usable. Ok.
Source tar ball is original (SHA-256: 3a9fa5f2cb1faf8b7c66b4c386eab35cac6088afc4dbc757d4f77d284dab4524). Ok.
Summary verified from README. Ok.
Description verified from README. Ok.
License verified from README and various files under lib. Ok.
No XS code, noarch BuildArch is Ok.

MIME::Base64 is not used at build time. Ok.
SOAP::Transport::POP3 is not used at build time. Ok.
SOAP::Transport::HTTP is not used at build time. Ok.
SOAP::Transport::TCP is not used at build time. Ok.

All tests pass. Ok.

$ rpmlint perl-XMLRPC-Lite.spec ../SRPMS/perl-XMLRPC-Lite-0.717-1.fc21.src.rpm ../RPMS/noarch/perl-XMLRPC-Lite-0.717-1.fc21.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-XMLRPC-Lite-0.717-1.fc21.noarch.rpm
drwxr-xr-x    2 root    root                        0 Nov 13 08:59 /usr/share/doc/perl-XMLRPC-Lite
-rw-r--r--    1 root    root                      164 May 17  2013 /usr/share/doc/perl-XMLRPC-Lite/Changes
-rw-r--r--    1 root    root                     1627 May 17  2013 /usr/share/doc/perl-XMLRPC-Lite/README
-rw-r--r--    1 root    root                     3084 Nov 13 08:59 /usr/share/man/man3/Apache::XMLRPC::Lite.3pm.gz
-rw-r--r--    1 root    root                     2567 Nov 13 08:59 /usr/share/man/man3/XMLRPC::Lite.3pm.gz
-rw-r--r--    1 root    root                     2139 Nov 13 08:59 /usr/share/man/man3/XMLRPC::Test.3pm.gz
-rw-r--r--    1 root    root                     3605 Nov 13 08:59 /usr/share/man/man3/XMLRPC::Transport::HTTP.3pm.gz
-rw-r--r--    1 root    root                     2426 Nov 13 08:59 /usr/share/man/man3/XMLRPC::Transport::POP3.3pm.gz
-rw-r--r--    1 root    root                     2266 Nov 13 08:59 /usr/share/man/man3/XMLRPC::Transport::TCP.3pm.gz
drwxr-xr-x    2 root    root                        0 Nov 13 08:59 /usr/share/perl5/vendor_perl/Apache
drwxr-xr-x    2 root    root                        0 Nov 13 08:59 /usr/share/perl5/vendor_perl/Apache/XMLRPC
-rw-r--r--    1 root    root                     3859 May 17  2013 /usr/share/perl5/vendor_perl/Apache/XMLRPC/Lite.pm
drwxr-xr-x    2 root    root                        0 Nov 13 08:59 /usr/share/perl5/vendor_perl/XMLRPC
-rw-r--r--    1 root    root                    11937 May 17  2013 /usr/share/perl5/vendor_perl/XMLRPC/Lite.pm
-rw-r--r--    1 root    root                     4907 May 17  2013 /usr/share/perl5/vendor_perl/XMLRPC/Test.pm
drwxr-xr-x    2 root    root                        0 Nov 13 08:59 /usr/share/perl5/vendor_perl/XMLRPC/Transport
-rw-r--r--    1 root    root                     5933 May 17  2013 /usr/share/perl5/vendor_perl/XMLRPC/Transport/HTTP.pm
-rw-r--r--    1 root    root                     1996 May 17  2013 /usr/share/perl5/vendor_perl/XMLRPC/Transport/POP3.pm
-rw-r--r--    1 root    root                     1607 May 17  2013 /usr/share/perl5/vendor_perl/XMLRPC/Transport/TCP.pm
File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-XMLRPC-Lite-0.717-1.fc21.noarch.rpm | sort -i | uniq -c
      1 perl >= 0:5.004
      1 perl(:MODULE_COMPAT_5.18.1)
      1 perl(SOAP::Lite) >= 0.716
      1 perl(SOAP::Transport::HTTP)
      1 perl(SOAP::Transport::POP3)
      1 perl(SOAP::Transport::TCP)
      1 perl(strict)
      1 perl(Test)
      1 perl(vars)
      1 perl(XMLRPC::Lite)
      1 perl(XMLRPC::Transport::HTTP)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1

TODO: Run-require `perl(SOAP::Transport::TCP)' >= 0.715' (lib/XMLRPC/Transport/TCP.pm:19, Makefile.PL:12).
TODO: Run-require `perl(MIME::Base64)' (lib/XMLRPC/Lite.pm:180).

TODO: Run-require various modules set as parents in @ISA variables:
$ grep -Hnr ISA lib/
lib/XMLRPC/Transport/TCP.pm:25:@XMLRPC::Transport::TCP::Server::ISA = qw(SOAP::Transport::TCP::Server);
lib/XMLRPC/Transport/POP3.pm:24:@XMLRPC::Transport::POP3::Server::ISA = qw(SOAP::Transport::POP3::Server);
lib/XMLRPC/Transport/HTTP.pm:25:@XMLRPC::Transport::HTTP::CGI::ISA = qw(SOAP::Transport::HTTP::CGI);
lib/XMLRPC/Transport/HTTP.pm:43:@XMLRPC::Transport::HTTP::Daemon::ISA = qw(SOAP::Transport::HTTP::Daemon);
lib/XMLRPC/Transport/HTTP.pm:53:@XMLRPC::Transport::HTTP::Apache::ISA = qw(SOAP::Transport::HTTP::Apache);
lib/XMLRPC/Lite.pm:40:@XMLRPC::Data::ISA = qw(SOAP::Data);
lib/XMLRPC/Lite.pm:46:@XMLRPC::Serializer::ISA = qw(SOAP::Serializer);
lib/XMLRPC/Lite.pm:211:@XMLRPC::SOM::ISA = qw(SOAP::SOM);
lib/XMLRPC/Lite.pm:267:@XMLRPC::Deserializer::ISA = qw(SOAP::Deserializer);
lib/XMLRPC/Lite.pm:329:@XMLRPC::Server::ISA = qw(SOAP::Server);
lib/XMLRPC/Lite.pm:344:@XMLRPC::Server::Parameters::ISA = qw(SOAP::Server::Parameters);
lib/XMLRPC/Lite.pm:350:@XMLRPC::ISA = qw(SOAP);
lib/XMLRPC/Lite.pm:356:@XMLRPC::Lite::ISA = qw(SOAP::Lite);
lib/Apache/XMLRPC/Lite.pm:14:use vars qw(@ISA $VERSION);
lib/Apache/XMLRPC/Lite.pm:17:@ISA = qw(XMLRPC::Transport::HTTP::Apache);

TODO: Move the Apache::XMLRPC::Lite and XMLRPC::Transport::HTTP::Apache modules into separate sub-package. The sub-package or it's dependencies should run-require mod_perl and Apache transitively.

$ rpm -q --provides -p ../RPMS/noarch/perl-XMLRPC-Lite-0.717-1.fc21.noarch.rpm | sort -i | uniq -c
      1 perl(Apache::XMLRPC::Lite) = 0.717
      1 perl(XMLRPC)
      1 perl(XMLRPC::Constants)
      1 perl(XMLRPC::Data)
      1 perl(XMLRPC::Deserializer)
      1 perl(XMLRPC::Lite) = 0.717
      1 perl-XMLRPC-Lite = 0.717-1.fc21
      1 perl(XMLRPC::Serializer)
      1 perl(XMLRPC::Server)
      1 perl(XMLRPC::Server::Parameters)
      1 perl(XMLRPC::SOM)
      1 perl(XMLRPC::Test) = 0.717
      1 perl(XMLRPC::Test::Server)
      1 perl(XMLRPC::Transport::HTTP) = 0.717
      1 perl(XMLRPC::Transport::HTTP::Apache)
      1 perl(XMLRPC::Transport::HTTP::CGI)
      1 perl(XMLRPC::Transport::HTTP::Daemon)
      1 perl(XMLRPC::Transport::POP3) = 0.717
      1 perl(XMLRPC::Transport::POP3::Server)
      1 perl(XMLRPC::Transport::TCP) = 0.717
      1 perl(XMLRPC::Transport::TCP::Server)
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-XMLRPC-Lite-0.717-1.fc21.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F21 (http://koji.fedoraproject.org/koji/taskinfo?taskID=6174260). Ok.

Otherwise the package is in line with Fedora and Perl packaging guidelines.

Please consider fixing all `TODO' items before building this package.
Resolution: Package APPROVED.
Comment 2 Petr Šabata 2013-11-14 00:27:20 EST
New Package SCM Request
=======================
Package Name: perl-XMLRPC-Lite
Short Description: Client and server implementation of XML-RPC protocol
Owners: psabata jplesnik ppisar
Branches: 
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2013-11-14 08:00:30 EST
Git done (by process-git-requests).
Comment 4 Petr Pisar 2014-07-08 07:53:28 EDT
*** Bug 1116559 has been marked as a duplicate of this bug. ***
Comment 5 Petr Pisar 2014-07-08 07:55:09 EDT
Package Change Request
======================
Package Name: perl-XMLRPC-Lite
New Branches: epel7
Owners: trondham
InitialCC: perl-sig

As requested in bug #1116559.
Comment 6 Gwyn Ciesla 2014-07-08 08:42:58 EDT
Git done (by process-git-requests).
Comment 7 Petr Pisar 2014-07-08 08:47:11 EDT
(In reply to Jon Ciesla from comment #6)
> Git done (by process-git-requests).

The perl-sig InialCC is missing again:

$ pkgdb-cli acl --noextra perl-XMLRPC-Lite epel7
Fedora Package Database -- perl-XMLRPC-Lite
Client and server implementation of XML-RPC protocol

epel7   Point of Contact:     trondham
                        watchbugzilla   watchcommits    commit          approveacls
        ACLs:
   group::provenpackager                                Approved                        
          trondham      Approved        Approved        Approved        Approved    


Is something wrong with your script?
Comment 8 Gwyn Ciesla 2014-07-08 12:32:59 EDT
Fixed.  Possibly.  Reach out to Ricky Elrod and detail what you're seeing.

Note You need to log in before you can comment on or make changes to this bug.